# 这个插件的目的在于自动的构建angular相关的项目，只是适合个人变成习惯，不具有普适性，请谨慎使用

> 在开发的过程中需要使用browserify、ng2html、style等功能，为了方便自动化实现便于、部署，减少很多不必要的麻烦特此开发此插件以供使用，由于刚开发，很多功能还不完善.

## 使用方式

```javascript 
	var app = require("gulp-auto-angular");
	var config = {
		modulename: "starter"
		css:{
			"./style.less": {
				name: "style.css",
				dest: ["./"]
			}
		},
		js: {
			"./main/main.js":{
				name: "main.js",
				dest: ["./"]
			}
		},
		concat: {
			src:["./main.js","./lib/ionic/js/ionic.bundle.min.js"],
			name: "concat.js",
			dest: ["./"]
		},
		watch: ["style.less","main/**"],
		liverload: false
	};
	app(config);
```

通过简单的配置文件即可实现文件的自动化编译，另外，为了不进行额外的工作，直接将此内容写到`gulpfile.js`中即可。

`所有的路径都是以process.cwd()为基准`

### modulename 需要自动添加的头的模块的名称

如: `modulename: "starter"`,则自动添加
```javascript
	angular.module("starter")
```

### css
> `css`是实现对less的编译，其`key`值表示的是要编译的路径,`value`是个对象，由`name`和`dest`构成, `name` 是编译后的文件的名称，`dest`是数组，表示的是编译后的存放路径，如果有多条则存放到多个路径下。

### js
> `js`的配置和`css`一样

### `concat`是文件合并操作，由三个字段组成，分别是`src`、`name`、`dest`,`src`是个数组，表示的是需要合并的文件的组合，文件的名称服务`vinyl`文件格式,`name`是合并后的名称，`dest`是数组，表示合并后的所在地。

### watch 监听文件

* 监听指定的文件或者文件夹，符合`vinyl`
* 添加文件时，如果是`js`自动在其目录或者父目录下(递推)的main.js中添加对应的`require`,如`require("./test")`
* 删除文件时自动的删除对应的main中的字段
* 处理完后自动编译
* html自动转换成js
* js 自动添加angular.module(modulename)的头

### livereload 是否使用reload功能 当js或者less重新编译时会触发

